GG(1)

NAME
gg - produce GRIP graph from GRIP raw statistics file

SYNOPSIS
gg [ args ] [file1] [file2]

DESCRIPTION
The program gg produces GRIP graphs from raw statistics generated by the GRIP machine. If no files are specified the program acts as a filter reading from stdin and output to stdout. If one file name is given then that is taken to be the name of the input file and output is placed in a file of the same name with a ".ps" extension. If two file names are given the first is the input file, the second is the output file. Unless specified otherwise a Full size landscape graph of Activity is produced. The default ordering of activity graphs is GC, Reduction,Idle,Flush.

OPTIONS
The args are:

-Eintxint
    Generate encapsulated POSTSCRIPT suitable for inclusion in LaTeX documents. The output produced is in portrait mode, and by default half A4 size. The two integer arguments are supplied, these are taken to be the required width and height (in centimetres) of the output respectively. The resulting POSTSCRIPT file conforms to the Encapsulated Post Script (EPS) convention, and it can be included in a LaTeX document using Rokicki's dvi-to-POSTSCRIPT converter dvips.

-F  Display output in full A4 landscape mode.

-G  Display output in landscape mode for gs previewer.

-A[{specifiers}]
    Produce a graph of processor activity. This is the default. It is possible to select the aspects of activity required and the order in which these are stacked. This is done by specifying a list of specifiers. A specifier is one of G for Garbage Collection, R for Reduction, I for Idle and F for Flushing. If no list is given the default [G,R,I,F] is used.

-S[{specifiers}]
    Produce a graph of sparks. Again, it is possible to select the different kinds of recorded sparks displayed and the order in which these are stacked. This is done by specifying a list of specifiers. A specifier is one of C for Created sparks Collection, U for Used sparks, R for Resumed sparks and L for Lost sparks. If no list is given the default [R,U,C,L] is used.

-P  Produces a Spark pool profile. This profiles the residency of sparks in the sparks pool. It also indicates where sparks are used (as a opposed to lost).

-p[{penames}]
    Flag restricts gathering of statistics to those processing elements indicated in the list. At the bottom of a graph the current configuration of processing elements is shown. Those whose statistics are incorporated in the graph are displayed in bold type. The manager processor element is never included as part of the graphs statistics. It is displayed in the configuration in italics. The program will exit if an incorrect processor is specified. If no processors are specified, all processors are plotted.

SEE ALSO
dvips(1), latex(1)

NOTES
POSTSCRIPT is a registered trademark of Adobe Systems Incorporated.

AUTHOR
Iain Checkland, University of York.